> For the complete documentation index, see [llms.txt](https://docs.devcore.cz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devcore.cz/resources/realistic-needs/installation.md).

# Installation

```
1. After purchasing the script, the script can be downloaded here https://portal.cfx.re/assets/granted-assets

2. Upload the contents of the zip file to your server

3. ensure devcore_needs in server.cfg after ox_lib and after framework

4. Now create items depending on the inventory.

If you are using ox_inventory 
paste the contents of the file upload/inventory/ox_inventory.txt into the file ox_inventory/data/items.lua.
And upload/icons into ox_inventory/web/images.

If you are using qs-inventory
paste the contents of the file upload/inventory/qs_inventory.txt into the file qs-inventory/shared/items.lua.
and uplod/icons into qs-inventory/html/images

If you are using qb-inventory
paste the contents of the file upload/inventory/qb_inventory.txt into the file qb-core/shared/items.lua.
And upload/icons into qb-inventory/html/images.

If you are using a different inventory for ESX
paste the contents of the file upload/inventory/items.sql file into the database.

5.If you want to store the positions of items placed on the ground in the database, don't forget to upload the upload/sql/needs.sql file to the database

6. Go to esx_basicneeds/config.lua and delete all created items 
-- Default --
Config.Items = {
	["bread"] = {
		type = "food",
		prop= "prop_cs_burger_01",
		status = 200000,
		remove = true
	},
	
	["water"] = {
		type = "drink",
		prop = "prop_ld_flow_bottle",
		status = 100000,
		remove = true
	}
}
--
After removed --
Config.Items = {

}
----
7. restart server

Make sure your server artifacts version is above the 5181.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devcore.cz/resources/realistic-needs/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
